*** a/src/test/regress/expected/alter_table.out
--- b/src/test/regress/expected/alter_table.out
***************
*** 1665,1671 **** where oid = 'test_storage'::regclass;
--- 1665,1679 ----
   t
  (1 row)
  
+ --
  -- SET DATA TYPE without a rewrite
+ --
+ -- Temporarily disable optional logging that "make installcheck" testers
+ -- reasonably might enable.
+ SET log_duration = off;
+ SET log_lock_waits = off;
+ SET log_statement = none;
+ SET log_temp_files = -1;
  CREATE DOMAIN other_textarr AS text[];
  CREATE TABLE norewrite_array(c text[] PRIMARY KEY);
  NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "norewrite_array_pkey" for table "norewrite_array"
***************
*** 1674,1679 **** ALTER TABLE norewrite_array ALTER c TYPE text[]; -- no work
--- 1682,1691 ----
  ALTER TABLE norewrite_array ALTER c TYPE other_textarr; -- rebuild index
  DEBUG:  building index "norewrite_array_pkey" on table "norewrite_array"
  RESET client_min_messages;
+ RESET log_duration;
+ RESET log_lock_waits;
+ RESET log_statement;
+ RESET log_temp_files;
  --
  -- lock levels
  --
*** a/src/test/regress/sql/alter_table.sql
--- b/src/test/regress/sql/alter_table.sql
***************
*** 1197,1203 **** select reltoastrelid <> 0 as has_toast_table
--- 1197,1213 ----
  from pg_class
  where oid = 'test_storage'::regclass;
  
+ --
  -- SET DATA TYPE without a rewrite
+ --
+ 
+ -- Temporarily disable optional logging that "make installcheck" testers
+ -- reasonably might enable.
+ SET log_duration = off;
+ SET log_lock_waits = off;
+ SET log_statement = none;
+ SET log_temp_files = -1;
+ 
  CREATE DOMAIN other_textarr AS text[];
  CREATE TABLE norewrite_array(c text[] PRIMARY KEY);
  SET client_min_messages = debug1;
***************
*** 1205,1210 **** ALTER TABLE norewrite_array ALTER c TYPE text[]; -- no work
--- 1215,1225 ----
  ALTER TABLE norewrite_array ALTER c TYPE other_textarr; -- rebuild index
  RESET client_min_messages;
  
+ RESET log_duration;
+ RESET log_lock_waits;
+ RESET log_statement;
+ RESET log_temp_files;
+ 
  --
  -- lock levels
  --
